Get a Bulk Action
Retrieve the details and progress of a bulk action
1 min read
get/v2/bulkActions/{actionId}
Request example
Response
get/v2/bulkActions/{actionId}
Authorization
1 alternative authorization method available — see the spec for details.
Path parameters
The ID returned by a filter-based bulk cancel or asynchronous DLQ action.
Responses
application/json
Bulk action details
The ID of the bulk action.
The state of the bulk action.
| Value | Description |
|---|---|
| IN_PROGRESS | The bulk action is running in the background. |
| FINISHED | The bulk action has finished. |
Options:
IN_PROGRESSFINISHEDThe number of messages that matched the filter when the bulk action was created.
The number of messages processed by the bulk action so far.
The creation time of the bulk action, in milliseconds (Unix timestamp).
The completion time of the bulk action, in milliseconds (Unix timestamp). Only present once the bulk action has finished.
The filter the bulk action was created with. Keys are the request's filter parameter names, such as
queueName, label or fromDate, and values are the given values. Error message